commit 1e42278d11730f8409878e3b4904fdd47e360e6f
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Mar 11 19:26:56 2020 -0400

    Version 0.2.9

commit 6eee7886fc889539df1e13b4d8be90ca49f169b4
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Mar 11 19:18:51 2020 -0400

    plugin doc: Fix makefile

commit 1c0507020d36842fdceee07c48f99efe6d6ec7cf
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Mar 11 18:19:56 2020 -0400

    INSTALL: Update from autotools

commit 9709c69158ca2c866ba6d8f08e0e6f2baad91ce2
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Mar 11 17:18:22 2020 -0400

    configure: Increase GLib dependency to 2.40
    
    This matches recent GStreamer.

commit 092d884da4c91967692dcaddaf583413a39d59d4
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Nov 1 18:57:46 2018 -0400

    gir: Add package deps to ensure the GIR build works

commit 0d3d4bf20285f4fe8c9e3222afee62042147601d
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Nov 1 18:31:28 2018 -0400

    farstream: Quell warning in interspection generation

commit 2cbbbca4f1855997b559f2da3d16ad896260407a
Author: Fabrice Bellet <fabrice@bellet.info>
Date:   Wed Jun 14 12:22:32 2017 +0200

    rtp: stop the transmitter src before unlinking its funnel
    
    This patch tweaks the order the elements are stopped and unlinked to
    prevent the transmitter source to fail on a not-linked to any sinkpads
    error. The pipeline is transmitter-src -> funnel -> rtpbin -> substream.
    
    The funnel is stopped, then the transmitter-src, and thereafter the
    funnel is unlinked.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=100586

commit a7de59c359349b47419880699b2e48e132eec5bb
Author: Fabrice Bellet <fabrice@bellet.info>
Date:   Tue May 23 16:06:47 2017 +0200

    rtp: fix a double locking issue on the session
    
    The session value used in fs_rtp_stream_add_substream_unlock(), taken
    from the stream struct may be null, while the session value from
    fs_rtp_session_new_recv_pad() is not. However these two function depend
    on the same session value to properly lock and unlock it: the first
    function will unlock the session previously locked by the second
    function.

commit 73625a038f308160375bef5ded796fae1a903265
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Sep 19 14:11:27 2018 +0200

    Update common/ to latest

commit 73891c28fa27d5e65a71762e826f13747d743588
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Sep 19 13:31:49 2018 +0200

    Remove Python dependency
    
    Farstream 0.2 never depended on Python directly

commit 5bcf5578a70f16f87c595560b0793e208b823c6c
Author: Laurent Bigonville <bigon@bigon.be>
Date:   Thu Feb 1 16:13:33 2018 +0100

    Fix the name of the generated .devhelp2 files
    
    https://bugs.freedesktop.org/show_bug.cgi?id=104903

commit 6c3ded360addb03c75634adb521526f23028a85b
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Nov 14 17:31:03 2017 -0500

    fs-gui: Use accessor functions to parse messages
    
    Getting boxed types from GstMessage manually is just too error prone.

commit 01f01a59cf6e39dd37c22caf3166e63a508903e1
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Oct 12 17:04:40 2017 -0400

    Update INSTALL file

commit 782bf607e49cc1eba15eb9def1d0596c74405a47
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Oct 12 17:02:57 2017 -0400

    Update autogen.sh to match common/

commit 8d1d8349c5b67255c0e00b19b02b0db1db7fe769
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   Wed Jun 21 14:04:19 2017 -0400

    rtpconference: Move link flags to convenience library
    
    This way unit test will inherit from all the required flags.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=101544

commit cc577d4828fee3d3e5e4d3e2afcbb9c4538556aa
Author: Fabrice Bellet <fabrice@bellet.info>
Date:   Wed Jun 7 16:47:48 2017 +0200

    nice: select the candidate with the correct stream id
    
    This selection based on the stream_id has been lost in commit b8751b8
    
    https://bugs.freedesktop.org/show_bug.cgi?id=92208

commit 0ff6a4eda899461aa21a876033edc42f5b048bc7
Author: Sergey Mamonov <samamonov@gmail.com>
Date:   Mon Mar 27 19:08:09 2017 +0000

    fsrtpsession: Set discovery valve to dropping on creation
    
    Although it should do nothing, it seems to improve CPU usage.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=100412

commit 5eeb7ad22bdbff1b78b0c518247644feb7e9c806
Author: Fabrice Bellet <fabrice@bellet.info>
Date:   Tue Feb 14 20:40:03 2017 +0100

    rtptfrc: Fix reference counting
    
    https://bugs.freedesktop.org/show_bug.cgi?id=99823

commit c5c0427aa055852f2de9f7d0273d3e994ac91df4
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Jun 5 19:05:15 2017 -0400

    stream: Stop substreams before removing them
    
    https://bugs.freedesktop.org/show_bug.cgi?id=100644

commit 3123a5be03190c55fe1401d9dbb90c09078b2dee
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Jun 5 18:41:54 2017 -0400

    rawudp tests: Increase timeout
    
    As we increased the default timeout in libnice's libstun,
    also increase it here.

commit 484306ea21db9086d860e3e21ec7b41174c9cf15
Author: Fabrice Bellet <fabrice@bellet.info>
Date:   Fri Apr 21 10:01:15 2017 +0200

    rtp: test the session conference property before using it
    
    This may happen when the rtp session object is calling its dispose
    function in another thread. The disposed flag is set, and it prevents
    the fs_rtp_session_get_property() function to return its conference
    object.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=101169

commit b8751b8ee7cd2a8fab2a61a79443a8d287412c8d
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Oct 1 08:34:31 2015 +0100

    nice: Port away from deprecated libnice signals
    
    The NiceAgent::new-candidate and ::new-selected-pair signals have been
    deprecated since 0.1.8 (which we depend on). Port them to use the
    replacement ::*-full signals.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=92208

commit 182fb0223bee9067cafa00c5c6a56b71e6c892a6
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Jul 24 19:29:38 2015 -0400

    Remove MSN plugin

commit 11dde55cbaf5179e8e1885cf1483e538a8d5a4a9
Author: Jakub Adam <jakub.adam@ktknet.cz>
Date:   Thu Apr 14 15:17:50 2016 +0200

    rtpbitrateadapter: should make no adaption by default
    
    Description of "bitrate" property says 0 (the default value) means
    the element performs no adaption, and so one would assume it would
    remain passive until "bitrate" is set to some nonzero value. However,
    when "bitrate" is left unset, the adapter instead requests video in tiny
    128x96 resolution on its sink pad.
    
    In order for fs_rtp_bitrate_adapter_getcaps() to return peer_caps by
    default, the value of FsRtpBitrateAdapter::bitrate has to be initialized
    to G_MAXUINT.
    
    Also fix the comments to say that MAXUINT is no adaptation.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=99183

commit 433898b123957ae1319da579f356bc1f1c989309
Author: Fabrice Bellet <fabrice@bellet.info>
Date:   Sun Dec 11 19:17:36 2016 +0100

    nice-stream-transmitter: fix a memory leak
    
    https://bugs.freedesktop.org/show_bug.cgi?id=99123

commit dd86619a48117049a9aa765bbb4b0d2a3313046e
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Sun Dec 18 11:17:18 2016 -0500

    rtp: Switch VP8 to standard encoding name
    
    This has been changed in GStreamer a very long time ago.
    
    Issue reported by Fabrice Bellet
    
    https://bugs.freedesktop.org/show_bug.cgi?id=99122

commit 36a64eaa3ad4b40ca4622ea752003b780fc439ef
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Sun Dec 18 11:15:44 2016 -0500

    docs: Add missing include
    
    Patch from Laurent Bigonville

commit 1dcbbb07cbc8c3f05e3c86d21713d1a059eb2486
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:   Wed Aug 17 02:51:38 2016 -0400

    Add missing includes to fix docs build
    
    https://bugs.freedesktop.org/97376

commit d91fc0fb3e57f4231126cd30df44ffaad5ee6ab3
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Jul 14 17:07:00 2016 -0400

    rtp-codec-specific: Add OPUS non-negotiation
    
    Also include unit test

commit 4c483cb097ab5bf1c6ac51c47e77bbbc12bcf5a9
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Jul 14 17:06:27 2016 -0400

    doc: Put stream message parsers in right section

commit e5b221d844163f2ba5baedbf63c13d3ef87db388
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Jul 11 18:27:59 2016 -0400

    rtp-codec-specific: Document types better

commit 482550e7e47cf48dd4bdab3adfe0d1777e20743a
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Jun 21 15:40:59 2016 -0400

    Sync with latest common/

commit fefa55ae7f2236264a7578dfd50e9945d5b0b1b9
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Jun 16 10:57:32 2016 -0400

    rtp-tfrc: Fix memset to the right size
    
    This was reported from static analysis by dcb314@hotmail.com
    
    https://bugs.freedesktop.org/show_bug.cgi?id=96546

commit b91ccf36ba436f5eed990c51eff533810c986555
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Mar 10 12:43:07 2016 -0500

    Version 0.2.8.1

commit 1c21fb8053ce5853e7585e0327eb7308d0fb5e98
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Mar 10 12:35:04 2016 -0500

    Version 0.2.8

commit 3ec04587156f63f105051731acada2b43f74f8dc
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Mar 10 12:20:49 2016 -0500

    fs-rtp-substream: Drop non-serialized events without caps
    
    This prevents some events that shouldn't be forwarded from
    going downstream.

commit c4bca15b08a34874fefc06529df98b4609abbf3d
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Jul 24 19:52:11 2015 -0400

    rtpstream: Accept all uncrypted packets if no crypto set

commit 28f0e7985cab9e305a32f830f974db0f049a8f51
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri Jul 24 19:24:41 2015 -0400

    rtpstream: Accept everything when no crypto was set

commit e9a20b815d88b6b2aac4bd2ddd2e30dc8a3e6725
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Apr 27 17:28:09 2015 -0400

    bitrateadapter: Template caps are ANY and absorb the rest, so ignore them

commit 76c4b7e3c3c2463ac256f2631bbdc3cc07bc8d6f
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Mar 25 15:25:00 2015 -0400

    rtp: Opus is now our favorite codec

commit db14343c55fb4616153a5ab783293f957c88f1b5
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Mar 25 15:24:27 2015 -0400

    rtp: Parse payloaders with multiple names

commit 2b085b0a3a37cf87e4a9ccf6b2de50a3fc236de3
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Mar 25 15:24:13 2015 -0400

    rtp: Put channels as encoding-params as expected

commit da2191e01ff5beb50cb1ce193778b4fe59225a2d
Author: Sebastian Dröge <sebastian@centricular.com>
Date:   Thu Mar 19 19:06:57 2015 +0100

    fsrtpxdata: Add gst-plugins-base libs to the CFLAGS and LIBS
    
    Fixes compilation in gst-uninstalled, as otherwise the RTP library is not
    found.

commit 45861c192761b7059a6ffd4b6daea2ebcdd82642
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   Thu Oct 30 19:36:25 2014 -0400

    Enable building static FsPlugins
    
    This required change FS_INIT_PLUGIN() macro. It's now taking name and
    type argumenet. This is a slight API break, but there never existed any
    external plugins. Also, already built plugins should not be affected since
    the symbol remains the same.
    
    Note also that plugin are no longer unloadable, it was already not well
    supported. Instead of adding loads of if, we simply register the module
    types as static (just like GStreamer does).
    
    To register static plugin, you can declare it's registration function
    using FS_PLUGIN_STATIC_DECLARE(name), and then in your code call the
    function using FS_PLUGIN_STATIC_REGISTER(name).
    
    https://bugs.freedesktop.org/show_bug.cgi?id=89287

commit adb4765979f627dfce44590b243cd74af086da9a
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   Thu Oct 30 17:42:05 2014 -0400

    Enable building static GStreamer plugins
    
    https://bugs.freedesktop.org/show_bug.cgi?id=89287

commit 98235c97645ff81cac4078b97d8f30d06eea1fff
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Feb 23 14:34:37 2015 -0500

    stream: Add "require-encryption" parameter
    
    If it is set to TRUE, then all buffers will be dropped before
    the decryption key is set.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=89288

commit 9a8e68e837029031bf082350ff5dfb2ef5cf4f7a
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Feb 4 16:27:54 2015 -0500

    rtpconference: Make get_extension() static

commit 7cec3506bfe45a89c3043bd4a3026c997f858fcf
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Jan 29 15:44:29 2015 -0500

    rawudp-stream: Stop the component if the port is already used

commit c73e5a7d14e10558533d1434922a58fb3535dde3
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Jan 28 22:22:10 2015 -0500

    Version 0.2.7.1

commit 01fafe82fbc01f31e76623fbbbe6dd99eb28d6bb
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Jan 28 22:15:59 2015 -0500

    Version 0.2.7

commit e8c277eeed5c277605f2ecc191f347f68fed0a61
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Jan 28 22:15:25 2015 -0500

    configure: Add "subdir-objects" automake option
    
    Automake now warns that it will be the only behavior
    in the future. So quell the warning by adding it.

commit e7857ade23f9771d250e4c3be772a1dcdc0584d5
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed Jan 28 22:08:04 2015 -0500

    Fix GIR annotations to remove deprecated styles

commit b788ca15fae591a917de0ed77eeb632a919f7325
Author: Youness Alaoui <kakaroto@kakaroto.homelinux.net>
Date:   Wed Jan 28 18:19:08 2015 -0500

    transmitter: Fix nice unit test for rtcp-muxing. Ignore component 2 ready.
    
    Component 2 may become ready before component 1 in which case data
    sent to that part of the pipeline will be dropped since cid 1 is not
    yet ready, which causes the unit test to fail since data is missing.

commit f2c04851e27dc428153cb1520cb412fd8db2a144
Author: Youness Alaoui <kakaroto@kakaroto.homelinux.net>
Date:   Tue Jan 13 17:36:01 2015 -0500

    transmitter: Add a unit test for send-component-mux property on nice transmitter

commit eda61c44c79956eaa5723725d31d606a9df67c92
Author: Youness Alaoui <kakaroto@kakaroto.homelinux.net>
Date:   Fri Dec 5 12:52:51 2014 -0500

    rtpxdatapay: Use gst_buffer_copy_into to avoid unreffing the buffer

commit 645b9490bb3ec507cac2b01061c9b67c18abb5ae
Author: Youness Alaoui <kakaroto@kakaroto.homelinux.net>
Date:   Fri Nov 28 17:58:34 2014 -0500

    rtpxdatapay: Add support for MTU and split long messages into multiple packets
    Split all messages into max 1200 bytes of payload and send a GstBufferList when needed
    Keep sending a normal buffer in case the buffer is smaller than 1200 bytes
    to things slightly faster

commit 9102709e6f8a0b9c390e8636589c3d80f9b1810a
Author: Youness Alaoui <kakaroto@kakaroto.homelinux.net>
Date:   Mon Aug 11 15:53:51 2014 -0400

    Add support for send-rtcp-mux on fs-rtp-session and nice transmitter
    
    In fs_nice_transmitter_set_send_component_mux(), the component IDs,
    which start from 1, are used as nicesinks array indexes and
    nicesinks[0] is always NULL.

commit 5bd19ca4a6c4fa0df50f521eb860d97e95310641
Author: Youness Alaoui <youness.alaoui@collabora.co.uk>
Date:   Thu Jul 17 23:46:44 2014 -0400

    Add support for reliable nice transmitter and selection of ice-udp/ice-tcp

commit 7f02aac24c859aadf4a0a83991502c9bcc1ddaf8
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Jan 27 16:37:57 2015 -0500

    msnconnection: Fix potential race/deadlock
    
    Unlock the mutex while waiting for the thread to exit.

commit 6b5e40c6c1f62ae1a1099f56ae70ed26b23c8a88
Merge: 83199d96 fb51436e
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Jan 27 15:58:30 2015 -0500

    Merge branch 'branch-0.2.6'

commit 83199d96480cd7835adc9d290e537effc550b4ca
Author: Olivier Crête <olivier.crete@ocrete.ca>
Date:   Tue Jan 13 14:11:27 2015 -0500

    fs-session: Reduce padding because added set_encryption_parameters

commit b71946fd05e2cdf80af132c306624c60d779ef89
Author: Evan Nemerson <evan@nemerson.com>
Date:   Sat Nov 22 11:02:01 2014 -0800

    introspection: Call g-ir-scanner correctly
    
    This provides a symbol prefix separate from the identifier prefix,
    corrects the identifier prefix to not include the trailing underscore,
    specifies the exported pkg-config file, and provides a list of C
    headers.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=86589

commit 3e36909e396d389348a62181585cd20f43929937
Author: Jakub Adam <jakub.adam@ktknet.cz>
Date:   Mon Oct 20 15:03:28 2014 +0200

    nicestreamtransmitter: expose port range setting from libnice

commit 75e249e8d9aa95e414145933aecb6b4f6614096f
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Nov 11 18:53:15 2014 -0500

    nice-stream-transmitter: Return right enum for GstPadProbeReturn

commit 16ae4d0126faefcc725311073f4971617bfd7858
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Oct 28 16:24:57 2014 -0400

    Fix clang warnings
    
    https://bugs.freedesktop.org/show_bug.cgi?id=85565

commit 80d4827a83f22d861adbd64a8cebc2ab372dddc1
Author: Nicolas Dufresne <nicolas.dufresne@collabora.com>
Date:   Tue Oct 28 14:52:00 2014 -0400

    rtp-discover-codecs: Make global access to blueprints thread-safe
    
    The global variable list_codec_blueprintfs refcounted with codecs_list_ref
    was not thread safe. This patch uses a global lock to make this code path
    thread safe.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=85567

commit bf84ab63c8313d2c7299c82928dbfa528448062b
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Oct 28 15:18:19 2014 -0400

    rtpsession: Don't try to return srtpenc/dec if not installed
    
    https://bugs.freedesktop.org/show_bug.cgi?id=85566

commit 15dc8ef0efc871e4af7f7c661b05e081b6062d17
Author: Olivier Crête <olivier.crete@ocrete.ca>
Date:   Mon Oct 13 10:32:08 2014 -0400

    nicestreamstransmitter: Remove extra unlock..

commit fb51436e0a6dcefac5506744a6be3fd236b1ca79
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Oct 9 18:05:22 2014 -0400

    Version 0.2.6.1

commit f7aba8f7709981db4e46307439cdc7b183d8bbf3
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Oct 9 17:57:46 2014 -0400

    Version 0.2.6

commit 3cd69d66c849df4541cf0974c8429623dc103cbb
Author: Jakub Adam <jakub.adam@ktknet.cz>
Date:   Tue Apr 22 14:26:49 2014 +0200

    Add ICE-TCP candidates
    
    Also to the nice transmitter

commit 2cb3e163f153434b6e386d1fe80efcc6e70eb738
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Oct 9 17:35:29 2014 -0400

    Version 0.2.5.1

commit 37f8913ca758dd26eb3bbdf03eace04164b7a87c
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Oct 9 17:31:09 2014 -0400

    Version 0.2.5

commit 0d19d5610ac05b27aab1af447165c3eca795ed84
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Oct 9 17:11:11 2014 -0400

    rtpstream: Use the right variables in validation
    
    Copy-paste error

commit 958728fe7ca77b74a6b876b97f6d6e2ef877a840
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Oct 9 16:39:13 2014 -0400

    Requirement is actually 1.4 for srtp

commit 5f6f8aa6c7eeeeb0cf564499967e292f5a0eee07
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Oct 9 16:23:24 2014 -0400

    nice stream transmitter: Ignore ICE-TCP candidates for now

commit 5128b46b1f981668eb9fdfd436ce900abba506fb
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Oct 7 16:29:36 2014 -0400

    rtpsession: Don't try to start sending before a transmitter is set
    
    No stream is really sending before a transmitter is set.

commit b79bb94f11fecbff4a1cff4f1952610c8da2da05
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Sep 18 15:48:30 2014 -0400

    Bump requirement for srtp, need GStreamer 1.2

commit 3c993718d0b559bfb27dcb8ae56f19fec00b4bd7
Author: Youness Alaoui <kakaroto@kakaroto.homelinux.net>
Date:   Thu Aug 7 23:23:29 2014 -0400

    session: Add internal-session property

commit b344a73c10cb1a57bbacf55292c0a376f7e43c97
Author: Youness Alaoui <kakaroto@kakaroto.homelinux.net>
Date:   Thu Jul 31 17:03:02 2014 -0400

    rtpsession: Fix discovery of RTCP ssrc.
    
    SRTCP packets will have SDES encrypted, so we need to check for RR and SR reports.
    Also, the code was checking if rtcp_map failed, instead of succeeded.
    This also allows us to mix rtp and rtcp on the same component.

commit c8a6bf9f4b72dd3264cc6a80290ee8ef71c7b695
Author: Youness Alaoui <youness.alaoui@collabora.co.uk>
Date:   Thu Jul 17 23:44:45 2014 -0400

    Fix unit tests not working with gst 1.0

commit 52e41e7324e3e8a54c5991e0bb3e6217a8ef46c0
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon May 5 22:32:25 2014 -0400

    rtp: Add srtp test

commit 344468a3b7a6828c0c16f95c81b99ed3af8c001a
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon May 5 21:26:39 2014 -0400

    rtp: Implement setting SRTP decryption key

commit 8989360664f68944ca6c00e69b2d88194fed4c38
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon May 5 20:29:44 2014 -0400

    rtpsession: Factor out SRTP parameter validation

commit d95620da48f4c10127eaf32e3a52cdecd3af1f9e
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon May 5 16:15:51 2014 -0400

    rtpsession: Implemnt setting SRTP encryption key

commit 9d4e85377d991abeb01de9c9aac77d2c70fbeef3
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 2 16:10:15 2014 -0400

    rtpsession: Create srtpenc & srtpdec

commit 7a68e77830e4c8472f52bdf39272b86da35bc4aa
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 2 15:54:58 2014 -0400

    lib: Add parameters to set encryption and decryption parameters

commit 9c7aa550ed0ea0b6962c7e3c1f42d7af253ea0fa
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon May 5 23:20:11 2014 -0400

    transmitter: Remove recvonly-filter
    
    It was pretty much useless anyway.

commit 220236e6564486571b0e7eae079b9cb6a554b933
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon May 5 22:47:23 2014 -0400

    Remove fsrtcpfilter
    
    It's not useful in real life

commit deb2be339b727b5fcdc7337c0c77a9202e7e4933
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 9 21:50:58 2014 -0400

    tests: Test for x-data type

commit 3bf911fd7586d8cb72368c4d3d25fe27c58c2e16
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue May 6 17:01:53 2014 -0400

    fsrtpxdata: Add RTP pay/depay for Microsoft Lync RTP x-data

commit ac98be9a8a48f6f21babd2d5b41df0f5b85a3e42
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue May 6 16:20:36 2014 -0400

    Add Application Media type

commit 4e4d73f86c19d2615992445b89b2622fb45ac7e9
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 9 20:55:03 2014 -0400

    rtpdiscocodec: Also discover formats with no encoder
    
    This makes L16, L24 and Video/RAW available to Farstream without profiles.

commit 04a706724d818f450f68b453492aae9e8cb08af5
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 9 20:50:48 2014 -0400

    rtpdiscocode: Ignore codecs with no "payload" property

commit 8d818b6377f19fe9e4e25b3c40c35ba49bcc13ed
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 9 18:03:41 2014 -0400

    rtpdiscocodec: Use GQueue instead g_list_append

commit 35f0811fa6f064cc771e67edc9f73585fb954155
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 9 17:52:11 2014 -0400

    rtpbitrateadapter: Check bitrate changes since last getcaps or last notification
    
    Not only since the last reconfigure

commit aaf96cc1715fddcee6e4a6a99f37e6961d182d74
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 9 17:47:04 2014 -0400

    rtpbitrateadapter: Remove unused caps

commit e9ac7697589d6c9fb493ed489a8c33efa7d17b79
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 9 17:45:41 2014 -0400

    rtpbitrateadapter: Support non-video caps too

commit 3856338f15d79bdb2ae410079ac26042a4f5f6f8
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 9 17:45:12 2014 -0400

    rtpbitrateadapter: Do dynamic getcaps

commit 11cd5652bd027186902b440eb3a11d592bbcf2f1
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 9 17:25:33 2014 -0400

    rtpbitrateadapter: Let upstream do possible renegotiation on > 10% bitrate change

commit dc66a180329b6b0cc53fc8d26ff256d2726f37c5
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 9 17:17:57 2014 -0400

    rtpbitrateadapter: Remove caps property

commit 11dba722578095699a686ec8765590b11a0717cd
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 9 17:13:05 2014 -0400

    rtpbitrateadapter: Pass media type from caller

commit 75285f4aa31a17296d8399389aaec11c5b0179f7
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 9 17:11:01 2014 -0400

    rtpbitrateadapter: Remove gray caps

commit af34d45cb18c3c588198e0ad8f3f4d57942289e5
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu May 8 21:25:27 2014 -0400

    rtpcodecnego: Filter by input and output caps

commit e0815937292a6083f78bd5a0288cb1668c80adae
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 9 16:23:53 2014 -0400

    rtpsession: Implement allowed caps setting

commit 279d507732bedc0395584c9ba0ad7bb555163e6d
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu May 8 22:32:26 2014 -0400

    session: Add API to set the allowed caps

commit 0cb4edb253ea78d8544682079c36b16f0b082df8
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu May 8 21:25:14 2014 -0400

    rtpsession: Add input and output caps

commit a072e43f45379ca0641da9c20575217d372148ec
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu May 8 21:12:00 2014 -0400

    rtpcodecnego: Skip full list iteration
    
    One send codec is enough to be happy!

commit 9ec4fe113a4d3f816087cbc36a827f1bebd1a26b
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu May 8 20:35:55 2014 -0400

    rtpcodecnego: Discover input/output caps for application specified pipelines
    
    From the codec preferences, if there is a pipeline, inspect to find the
    possible caps.

commit 2beafb328ed8bc6f09e9a4af03c228edd4e86cdc
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu May 8 20:05:51 2014 -0400

    rtpdiscocodec: Factor out in/out caps discovery

commit 6062868a5eb42ba31b39e4898acc24033c977e6e
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu May 8 18:26:20 2014 -0400

    rtpcodecnego: Add CodecPreference struct wrapping codec prefs

commit a56dd182a6de3a13bf40c4a80e9335e52655dcf5
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu May 8 15:16:42 2014 -0400

    rtp: Use FsStreamDirection instead of "is_send" gboolean
    
    Makes the API clearer

commit 3af84c53630b362dde97cf98802303dd389826e6
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed May 7 23:07:48 2014 -0400

    rtpcodecdisco: Discover output caps from receive codecbin

commit c8d42be114f72159cea45b8f7da5c59d6d3823e2
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed May 7 22:51:59 2014 -0400

    rtpcodecdisco: Discover input caps from send codecbin

commit ec1dc8736b5e05e882762a2034e70c0dea3844f4
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed May 7 22:27:24 2014 -0400

    rtpcodeccache: Add input/output caps to the codec cache

commit 063fa048b38d6aea79f8aaed4654cfe1a3f9a0b2
Author: Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>
Date:   Wed Sep 3 15:01:35 2014 -0400

    example: Sources need to be live
    
    In current state this commandline example produce choppy audio,
    with warning: "Unexpected discontinuity in audio timestamps of
    -0:00:03.168625000, resyncing". Setting the source to live,
    as it's suppose to be, fixes the issue.

commit de7da7e70dbc1117ca59da4e98af5cc9d7a0efb2
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Jul 31 15:59:46 2014 -0400

    rtpsession: Only try to read RTCP if mapping succeeded

commit 4571880743d2d37938bd4a618bd305907a8518f3
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Tue Jul 22 20:01:22 2014 +0300

    fs-element-added-notifier: do not unref elements from already added bins when setting a keyfile
    
    The FsElementAddedNotifier does not own a reference to these elements.

commit a911b7543fe396b98b45a06e53aa3a130173b9f5
Author: Jakub Adam <jakub.adam@ktknet.cz>
Date:   Mon May 12 12:07:45 2014 +0200

    rtpdiscocodec: Fix build with -Werror=format-security

commit 44ef0dffa8a3fda3695cda360bb16739d0610bdd
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 9 21:55:25 2014 -0400

    rtpconference: Fix debug print

commit 241326fcc90d2a6e2d3d717d8deacbad92dd97b7
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu May 8 00:03:10 2014 -0400

    rtpcodecdisco: Style fix

commit f01a491107f19be196fe2b32ae6f62ad09241b0c
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 9 18:34:04 2014 -0400

    rtpsession: Verify object exists in dispose path

commit 1f71dc237e90313cf1d0c4753ed9048401a279b5
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Fri May 9 20:07:48 2014 -0400

    rtpdiscocodec: Debug pipeline at the right level

commit dabb550aba18486b115fe6b15986222d29ac26ba
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed May 7 22:51:41 2014 -0400

    rtpcodecdisco: Use GST_PTR_FORMAT for caps debug

commit 76374a1844b33da20f70b5b2a17f6414d6109482
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Wed May 7 21:36:30 2014 -0400

    rtpcodecdisco: Improve debug printing

commit a15b66e23dd29ace82b9de218ea243b88d343890
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue May 6 17:17:20 2014 -0400

    videoanyrate: Use the Fs prefix internally too

commit 72f7b6326839caecc979d64eba3c0e459ddb4af9
Author: Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>
Date:   Tue May 6 00:45:35 2014 -0400

    rtp: Fix a couple typos
    
    https://bugs.freedesktop.org/show_bug.cgi?id=37997

commit c84c351e3dd55f3cd77e4031d4faf86e5637b4bc
Author: Iain Lane <iain.lane@canonical.com>
Date:   Fri Mar 21 15:18:38 2014 +0000

    Fix some mismatched / redundant <para> gtk-doc tags
    
    gtk-doc 1.20 got more strict about correctness here wrt. balanced tags.
    
    Also bump the relevant gtk-doc requirement, these tags were added for
    a reason back then.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=76458

commit 32dcff23964fa6d6910584b1b664150734033fd2
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon May 5 15:17:39 2014 -0400

    Version 0.2.4.1

commit 798be3e02f665855577b6886768868ee24d7e4df
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon May 5 15:09:16 2014 -0400

    Version 0.2.4

commit 53db372266191c757fc38e222f4d08f9c6d6f46f
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon May 5 14:41:23 2014 -0400

    msnconnection: Fix typo

commit 587f35ea8e3126c00b6c4e33e67277a60c3d45ba
Author: Olivier Crête <olivier.crete@ocrete.ca>
Date:   Sun May 4 01:18:47 2014 -0400

    msnconnection: Double check return value of recv()
    
    Even though it has already been peeked at!

commit 3aec0fb8ec87299835987266fed208f5267bb000
Author: Olivier Crête <olivier.crete@ocrete.ca>
Date:   Sun May 4 00:48:28 2014 -0400

    rtpsession: Check that there is either a blueprint or a profile
    
    Having neither is always invalid!

commit 64bfaf6af39957996ae1114767d1f674e246fd97
Author: Olivier Crête <olivier.crete@ocrete.ca>
Date:   Sun May 4 00:47:13 2014 -0400

    msnconnection: Make sure token is correctly read

commit 3610fe76c1856f19595b8d966180444922ca4056
